TaskController (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class TaskController

    java.lang.Object
      org.apache.hadoop.mapred.TaskController

All Implemented Interfaces:
  Configurable

Direct Known Subclasses:
  DefaultTaskController

    public abstract class TaskController

extends Object
implements Configurable

Controls initialization, finalization and clean up of tasks, and also the launching and killing of task JVMs. This class defines the API for initializing, finalizing and cleaning up of tasks, as also the launching and killing task JVMs. Subclasses of this class will implement the logic required for performing the actual actions.
NOTE: This class is internal only class and not intended for users!!

Nested Class Summary
`static class` | `TaskController.DistributedCacheFileContext` This is used for initializing the private localized files in distributed cache.
`static class` | `TaskController.InitializationContext` NOTE: This class is internal only class and not intended for users!!

Field Summary
`static org.apache.commons.logging.Log` | `LOG`
`protected String[]` | `mapredLocalDirs`

Constructor Summary
`TaskController()`

Method Summary
`Configuration` | `getConf()` Return the configuration used by this object.
`abstract void` | `initializeDistributedCacheFile(TaskController.DistributedCacheFileContext context)` Take task-controller specific actions to initialize the distributed cache file.
`abstract void` | `initializeUser(TaskController.InitializationContext context)` Initialize user on this TaskTracer in a TaskController specific manner.
`void` | `setConf(Configuration conf)` Set the configuration to be used by this object.
`void` | `setup()` Sets up the permissions of the following directories on all the configured disks: mapred-local directories Hadoop log directories

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    public static final org.apache.commons.logging.Log LOG

### mapredLocalDirs

    protected String[] mapredLocalDirs

Constructor Detail

### TaskController

    public TaskController()

Method Detail

### getConf

    public Configuration getConf()

  Description copied from interface: `Configurable`
  Return the configuration used by this object.

  Specified by:
    `getConf` in interface `Configurable`

### setConf

    public void setConf(Configuration conf)

  Description copied from interface: `Configurable`
  Set the configuration to be used by this object.

  Specified by:
    `setConf` in interface `Configurable`

### setup

    public void setup()
               throws IOException

  Sets up the permissions of the following directories on all the configured disks:
  - mapred-local directories
  - Hadoop log directories

  Throws:
    `IOException`

### initializeDistributedCacheFile

    public abstract void initializeDistributedCacheFile(TaskController.DistributedCacheFileContext context)
                                                 throws IOException

  Take task-controller specific actions to initialize the distributed cache file. This involves setting appropriate permissions for these files so as to secure them to be accessible only their owners.

  Parameters:
    `context` -
  Throws:
    `IOException`

### initializeUser

    public abstract void initializeUser(TaskController.InitializationContext context)
                                 throws IOException

  Initialize user on this TaskTracer in a TaskController specific manner.

  Parameters:
    `context` -
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation